import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { CanvasManagerService } from './../services/canvas-manager.service';
import { AvailableGeometricShape } from './../constants/available-geometric-shapes';
import { fabric } from 'fabric';
export declare class WebSketchToolComponent implements OnInit, OnChanges {
    private canvasManagerService;
    fillColor: string;
    strokeColor: string;
    availableGeometricShapes: typeof AvailableGeometricShape;
    isDrawing: boolean;
    isCropping: boolean;
    isUndoAvailable: boolean;
    canvasId: string;
    toolTips: string[];
    imageData: string;
    loadedJson: string;
    private previousJson;
    canvas: EventEmitter<fabric.Canvas>;
    readonly left: any;
    constructor(canvasManagerService: CanvasManagerService);
    ngOnInit(): void;
    ngOnChanges(): void;
    private initializeSketchVariables();
    private setCanvas();
    addText(): void;
    addShape(shape: string): void;
    changeStrokeColor(): void;
    bringFoward(): void;
    sendToBack(): void;
    draw(): void;
    saveImage(): void;
    crop(): void;
    keyEvent(event: KeyboardEvent): void;
    deleteSelection(): void;
    mouseUp(event: any): void;
    mouseMove(event: MouseEvent): void;
    mouseDown(event: MouseEvent): void;
    group(): void;
    undo(): void;
    emitCanvas(): void;
}
